/*
 * toggle.cpp
 *
 *  Created on: Nov 10, 2023
 *      Author: Dario
 */

#include <tasks/toggle.hpp>
#include <sta/tacos/statemachine.hpp>
#include <sta/debug/debug.hpp>

namespace demo
{
	Toggle::Toggle()
		: sta::tacos::TacosThread{ "Toggle", osPriorityNormal }
	{

	}

	void Toggle::init()
	{

	}

	void Toggle::func()
	{
		uint16_t state = sta::tacos::Statemachine::instance()->getCurrentState();
		uint16_t next = 1 - state;

		sta::tacos::Statemachine::instance()->requestStateTransition(state, next, 5000);
	}
}


